/***********************************************************************************************************************
 *
 * SolidBlue - open source safe data
 * Copyright (C) 2011-2013 by Tidalwave s.a.s. (http://tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://solidblue.tidalwave.it
 * SCM: https://bitbucket.org/tidalwave/solidblue-src
 *
 **********************************************************************************************************************/
package it.tidalwave.integritychecker.ui.impl.action;

import javax.annotation.Nonnull;
import javax.swing.Action;
import org.openide.awt.ActionID;
import org.openide.awt.ActionReference;
import org.openide.awt.ActionReferences;
import org.openide.awt.ActionRegistration;
import it.tidalwave.actor.MessageSupport;
import it.tidalwave.actor.swing.action.MessageSendingActionSupport;
import it.tidalwave.integritychecker.archive.ScanRequest;

/***********************************************************************************************************************
 * 
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@ActionID(id = "it.tidalwave.integritychecker.ui.impl.action.ScanAction", category = "Tools")
@ActionRegistration(lazy = false,
                    displayName = "CTL_ScanAction", 
//                    iconBase = "it/tidalwave/integritychecker/ui/impl/action/Button-go.png",
                    iconInMenu=false)
@ActionReferences(value = 
  {
    @ActionReference(path = "Menu/Tools", position = 2600),
    @ActionReference(path = "Toolbars/Standard", position = 2600)
  })
public final class ScanAction extends MessageSendingActionSupport<Void>
  {
      {
        putValue("iconBase", "it/tidalwave/integritychecker/ui/impl/action/Button-go.png");  
        putValue(Action.NAME, "Scan");
      }
      
    @Override @Nonnull
    protected MessageSupport createMessage() 
      {
        return new ScanRequest();
      }
  }
